org.richfaces.application

## Class CacheProvider

- java.lang.Object
- - org.richfaces.application.CacheProvider

- All Implemented Interfaces:
    org.richfaces.application.Initializable, org.richfaces.cache.Cache

      public class CacheProvider
      extends Object
      implements org.richfaces.application.Initializable, org.richfaces.cache.Cache

  Author:
    asmirnov@exadel.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.richfaces.cache.Cache` | `get()`
    `Object` | `get(Object key)`
    `void` | `init()`
    `void` | `put(Object key, Object value, Date expired)`
    `void` | `release()`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheProvider

          public CacheProvider()

  - ### Method Detail

    - #### get

          public Object get(Object key)

      Specified by:
        `get` in interface `org.richfaces.cache.Cache`
      Parameters:
        `key` -
      Returns:
      See Also:
        `Cache.get(java.lang.Object)`

    - #### put

          public void put(Object key,
                 Object value,
                 Date expired)

      Specified by:
        `put` in interface `org.richfaces.cache.Cache`
      Parameters:
        `key` -
        `value` -
        `expired` -
      See Also:
        `Cache.put(java.lang.Object, java.lang.Object, java.util.Date)`

    - #### start

          public void start()

      Specified by:
        `start` in interface `org.richfaces.cache.Cache`
      See Also:
        `Cache.start()`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `org.richfaces.cache.Cache`
      See Also:
        `Cache.stop()`

    - #### release

          public void release()

      Specified by:
        `release` in interface `org.richfaces.application.Initializable`

    - #### init

          public void init()

      Specified by:
        `init` in interface `org.richfaces.application.Initializable`

    - #### get

          public org.richfaces.cache.Cache get()

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.